Name:           oooqs2
Version:        1.0
Release:        3%{?dist}
Summary:        OpenOffice.org Quickstarter 2

Group:          Applications/Productivity
License:        GPL
URL:            http://segfaultskde.berlios.de/index.php?content=oooqs2
Source0:        http://download.berlios.de/segfaultskde/oooqs2-%{version}.tar.gz
# translation by Andy Shevchenko 
Patch0:		oooqs2-russian.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-devel, libart_lgpl-devel, desktop-file-utils
Requires:       openoffice.org-base, openoffice.org-writer, openoffice.org-calc
Requires:	openoffice.org-impress, openoffice.org-math, openoffice.org-draw
Requires:	kdebase

%description
OpenOffice.org Quickstarter 2 is a small systray applet for KDE.
It is designed to preload OOo in memory  for faster loading

%prep
%setup -q
%patch0 -p1 -b .russian

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/appl*/*/*.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/oooqs2
%{_datadir}/applications/fedora-oooqs2.desktop
%{_datadir}/autostart/oooqs2.desktop
%{_datadir}/icons/hicolor/*/apps/oooqs2.png


%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.0-3
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Jul 27 2006 Dennis Gilmore <dennis@ausil.us> - 1.0-2
- Fix BR's  add russian desktop file translation patch

* Wed May 05 2006 Dennis Gilmore <dennis@ausil.us> - 1.0-1
-Initial build
